Subject: Re: linux-next: build failure after merge of the phy-next tree

From: Vinod Koul <[email-masked]>
Date: Tue, 17 Nov 2020 15:30:56 +0530

Hello Stephen,

On 17-11-20, 13:40, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the phy-next tree, today's linux-next build (arm
> multi_v7_defconfig) failed like this:
> 
> drivers/soc/amlogic/meson-ee-pwrc.c: In function 'meson_ee_pwrc_init_domain':
> drivers/soc/amlogic/meson-ee-pwrc.c:416:65: error: expected ';' before 'if'
>   416 |   dom->rstc = devm_reset_control_array_get_exclusive(&pdev->dev)
>       |                                                                 ^
>       |                                                                 ;
>   417 |   if (IS_ERR(dom->rstc))
>       |   ~~                                                             
> 
> Caused by commit
> 
>   3cc8e86721ad ("phy: amlogic: Replace devm_reset_control_array_get()")
> 
> I have used the phy-next tree from next-20201116 for today.

I have reverted this commit

Thanks for the report

-- 
~Vinod